# string.c File Reference

`#include <lib/string.h>`

Include dependency graph for string.c:

Go to the source code of this file.

## Functions

int | memcmp (const void *dst, const void *src, size_t length)
void * | memcpyold (const void *dst, const void *src, size_t length)
int | strcmp (const char *str1, const char *str2)
int | strncmp (const char *a, const char *b, size_t c)
void | strncpy (char *dest, const char *src, size_t size)
char * | strstr (const char *s, char *find)

## Function Documentation

int memcmp | ( | const void * | dst,
|  | const void * | src,
|  | size_t | length |
| ) |  |  |

Definition at line 80 of file string.c.

void* memcpyold | ( | const void * | dst,
|  | const void * | src,
|  | size_t | length |
| ) |  |  |

Definition at line 60 of file string.c.

int strcmp | ( | const char * | str1,
|  | const char * | str2 |
| ) |  |  |

Definition at line 32 of file string.c.

int strncmp | ( | const char * | a,
|  | const char * | b,
|  | size_t | c |
| ) |  |  |

Definition at line 48 of file string.c.

Referenced by strstr().

void strncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | size |
| ) |  |  |

Definition at line 105 of file string.c.

char* strstr | ( | const char * | s,
|  | char * | find |
| ) |  |  |

Definition at line 118 of file string.c.

References NULL, strlen, and strncmp().

Referenced by fopen(), sysChDir(), and sysMkDir().

Here is the call graph for this function: